
/* ESTILO GERAL */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body{
    /* background-color: #d49f43; 99721d4f fca91ba1 */
    background-image: linear-gradient(to right, #e2b664c2, #d49f43f6);
    height: 100vh;
}

.interface{
    max-width: 1280px;
    margin: 0 auto;
}
.flex{
    display: flex;
}
.btn-contato button{
    padding: 10px 40px;
    font-size: 18px;
    font-weight: 600;
    background-color: #21791cd3;/*133711*/
    border: 0;
    border-radius: 30px;
    cursor: pointer;
    transition: .2s;
}

h2.titulo{
    color: #000;
    font-size: 38px;
    text-align: center;
}

h2.titulo span{
    color: #21791cd3;
}

button:hover, form .btn-enviar input:hover{
    box-shadow: 0px 0px 8px #00ff08;
    transform: scale(1.05);
}

/* ESTILO DO CABEÇALHO */
header{
    padding: 40px 4%;
}

header > .interface{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
header > .interface .logo a img{
    width: 80%;
}

header a{
    color: #5c5c5c;
    text-decoration: none;
    display: inline-block;
    transition: .2s;
}

header nav.menu-desktop a:hover{
    color: #fff;
    transform: scale(1.05);
}

header nav ul{
    list-style-type: none;
}

header nav.menu-desktop ul li{
    display: inline-block;
    font-size: 20px;
    padding: 0 40px;
}


/* ESTILO DO MENU MOBILE */
.btn-abrir-menu{
    display: none;
}

.btn-abrir-menu i{
    color: #00FF08;
    font-size: 40px;
}

.menu-mobile{
    background-color: #000;
    height: 100vh;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 99999;
    width: 0%;
    overflow: hidden;
    transition: .5s;
}

.menu-mobile.abrir-menu{
    width: 70%;
}

.menu-mobile.abrir-menu ~ .overlay-menu{
    display: block;
}

.menu-mobile .btn-fechar{
    padding: 20px 5%;
}

.menu-mobile .btn-fechar i{
    color: #00FF08;
    font-size: 30px;

}

.menu-mobile nav ul{
    text-align: right;
}

.menu-mobile nav ul li a{
    color: #fff;
    font-size: 20px;
    font-weight: 300;
    padding: 20px 8%;
    display: block;
}

.menu-mobile nav ul li a:hover{
    background-color: #00FF08;
    color: #000;
}

.overlay-menu{
    background-color: #000000af;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 88888;
    display: none;
}

/* ESTILO DO TOPO DO SITE */
section.topo-do-site{
    padding: 40px 4%;
}
section.topo-do-site .flex{
    align-items: center;
    justify-content: center;
    gap: 90px;
}

.topo-do-site h1{
    color: #000;
    font-size: 42px;
    line-height: 40px;
}

.topo-do-site .txt-topo-site h1 span{
    color: #21791cd3;
}

.topo-do-site .txt-topo-site p{
    color: #000;
    margin: 40px 0;
    font-weight: 500;
    text-align: justify;
    font-size: 20px;
    line-height: 1.5em;
}

.topo-do-site .img-topo-site img{
    position: relative;
    animation: flutuar 2s ease-in-out infinite alternate;
}

@keyframes flutuar{
    0%{
        top: 0;
    }
    100%{
        top: 30px;
    }
}

/* ESTILO DAS ESPECIALIDADES */
section.especialidades{
    padding: 40px 4%;
}

section.especialidades .flex{
    gap: 60px
}

.especialidades .especialidades-box{
    color: #000;
    padding: 40px;
    border-radius: 20px;
    /*border: 2px solid #fff;*/
    margin-top: 45px;
    transition: .2s;
}

.especialidades .especialidades-box:hover{
    transform: scale(1.05);
    box-shadow: 0 0 20px #ffffff67;
}

/* .especialidades .especialidades-box{
    width: 80px;
    font-size: 70px;
    color: #21791cd3;
} */

.especialidades .especialidades-box .imagem_especialidades{
    width: 35%;
    margin: auto;
    display: block;
}

.especialidades .especialidades-box .imagem_especialidades img{
    width: 80px;
    font-size: 70px;
}

.especialidades .especialidades-box h3{
    font-size: 28px;
    margin: 15px 0;
    text-align: center;
    color: #21791cd3;
}

.especialidades .especialidades-box p{
    color: #000;
    text-align: justify;
}

.locacoes{
    text-decoration: none;
}

.galeria{
    text-decoration: none;
}

.acabamentos{
    text-decoration: none;
}

/* ESTILO IMAGEM DO SOBRE */

/* .sobre .img-sobre img{
    position: relative;
    animation: flutuar 2s ease-in-out infinite alternate;
} */

@keyframes flutuar{
    0%{
        top: 0;
    }
    100%{
        top: 30px;
    }
}

/* ESTILO DO SOBRE */
section.sobre{
    padding: 80px 4%;
}

section.sobre .flex{
    align-items: center;
    gap: 60px;
}

.sobre .txt-sobre{
    color: #000;
}

.sobre .txt-sobre h2{
    font-size: 40px;
    line-height: 40px;
    margin-bottom: 30px;
}

.sobre .txt-sobre h2 span{
    color: #21791cd3;
    display: block;
}

.sobre .txt-sobre h3{
    font-size: 24px;
    margin-bottom:30px;
    margin-top: 60px;
}

.sobre .txt-sobre p{
    margin: 30px 0;
    text-align: justify;
    font-size: 20px;
    font-weight: 400;
    line-height: 1.5em;
}

.btn-social button{
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border: none;
    background-color: #21791cd3;
    font-size: 22px;
    cursor: pointer;
    margin: 0 5px;
    transition: .2s;
}

/* ESTILO DO PORTFÓLIO */
section.portfolio{
    padding: 80px 4%;
    box-shadow: 0 0 40px 10px #ffffff1a;
}

section.portfolio .flex{
    justify-content: space-around; /*ou use a propriedade gap*/
    margin-top: 60px;
}

.img-port{
    width: 360px;
    height: 460px;
    background-size: cover;
    background-position: 100% 0%;
    transition: 8s;
    cursor: pointer;
    border-radius: 40px;
    position: relative;
}

.img-port:hover{
    background-position: 100% 100%;
}

.overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #0a0a0a56;
    border-radius: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    font-weight: 600;
    color: #fff;
    opacity: 0;
    transition: .5s;
}

.overlay:hover{
    opacity: 1;
}



/* ESTILO DO FORMULÁRIO DE CONTATO */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Outfit', sans-serif;
}

.container{
    max-width: 1280px;
    margin: 0 auto;
    padding: 0 4%;
    display: flex;
    align-items: center;
    justify-content: center;
}

form{
    background-color: #fff;
    max-width: 500px;
    height: 450px;
    padding: 40px;
    border-radius: 20px;
}

form h1{
    text-align: center;
    font-size: 30px;
    margin-bottom: 20px;
    color: #d49f43f6;
}

form p{
    text-align: center;
    margin-top: 20px 0;
}

.input-single{
    position: relative;
    margin: 35px 0;
}

.input-single label{
    position: absolute;
    left: 0;
    bottom: 5px;
    transition: all 0.2s;
    cursor: text;
}

.input{
    width: 100%;
    border: 0;
    border-bottom: 2px solid #21791cd3;
    padding: 5px;
    font-size: 17px;
    outline: none;
}

form .input-single .input:focus ~ label,
form .input-single .input:valid ~ label{
    transform: translateY(-24px);
    font-size: 12px;
    color: #2D5966;
}

.btn{
    width: 100%;
    text-align: center;
}

form input[type=submit]{
    padding: 10px 40px;
    border: 0;
    border-radius: 10px;
    background-color: #21791cd3;
    color: #fff;
    cursor: pointer;
}

#menu_formulario{
    justify-content: space-evenly;
}


/* ESTILO DO RODAPÉ */
footer{
    padding: 40px 4%;
    box-shadow: 0 0 40px 10px #ffffff1a;

}

footer .flex{
    justify-content: center;
}

footer .line-footer{
    padding: 20px 0;
}

.borda{
    border-top: 2px solid #21791cd3;
}

footer .line-footer p i{
    color: #000;
    font-size: 26px;
}

footer .line-footer p{
    color: #155712d3;
}

/* Popup formulário*/

.mensagem-sucesso {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: green;
    color: white;
    padding: 10px;
    text-align: center;
    transition: top 0.5s ease-in-out;
}
.mostrar {
    display: block !important;
}
/* CRIAR UMA DIV POR VOLTA DAS IMAGENS COM ESSA CLASSE*/
.box-slides{
    display: flex;
    flex-direction: column;
    gap: 24px;
  
}

/* APLICAR ESSA CLASSE NAS IMAGENS DAS PAGINAS*/
.img{
    width: 82% !important;

    height: 82% !important;

    margin-left: 9%;
}
.esconder {
    top: -100px !important;
}

.img-galeria{
    width: 65% !important;

    height: 65% !important;

    margin-left: 17%;
}

.img-parceiros{
    width: 65% !important;

    height: 65% !important;

    margin-left: 17%;

}

@media screen and (max-width: 1020px){

    /* CLASSES GERAIS */
    .flex{
        flex-direction: column;
    }

    .topo-do-site .flex{
        flex-direction: column-reverse;
    }

    h2.titulo{
        font-size: 34px;
        line-height: 30px;
    }
    

    /* CABEÇALHO */
    .menu-desktop, .btn-contato{
        display: none;
    }

    .btn-abrir-menu{
        display: block;
    }


    /* TOPO DO SITE */
    section.topo-do-site .flex{
        gap: 40px;
    }

    section.topo-do-site{
        padding: 20px 8%;
    }

    .topo-do-site h1{
        color: #000;
        font-size: 30px;
    }

    .topo-do-site .img-topo-site img{
        width: 100%;
    }

    /* ESPECIALIDADES */
    section.especialidades{
        padding: 40px 8%;
    }

    /* ESTILO IMAGEM DO SOBRE */
    .sobre .img-sobre img{
        width: 100%;
    }

    /* SOBRE */
    section.sobre{
        padding: 80px 8%;
    }

    .sobre .txt-sobre h2{
        font-size: 34px;
        line-height: 35px;
        text-align: center;
    }

    .btn-social{
        text-align: center;
    }
    /* ESTILO DO PORTFÓLIO */
    section.portfolio{
        padding: 80px 8%;
    }

    .img-port{
        width: 100%;
        max-width: 360px;
        margin: 0 auto;
    }

    section.portfolio .flex{
        gap: 60px;
    }

    /* RODAPÉ */
    footer .flex{
        flex-direction: column;/*Nem precisa dessa configuração do rodapé*/
        gap: 30px;
    }

    footer .line-footer{
        text-align: center;
    }

}